package com.neusoft.smart.pos.device.persistent.mapper;

import com.neusoft.smart.pos.device.persistent.domain.AppProjectConfig;
import com.neusoft.smart.pos.device.persistent.domain.AppProjectConfigExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AppProjectConfigMapper {
    int countByExample(AppProjectConfigExample example);

    int deleteByExample(AppProjectConfigExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(AppProjectConfig record);

    int insertSelective(AppProjectConfig record);

    List<AppProjectConfig> selectByExampleWithBLOBs(AppProjectConfigExample example);

    List<AppProjectConfig> selectByExample(AppProjectConfigExample example);

    AppProjectConfig selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") AppProjectConfig record, @Param("example") AppProjectConfigExample example);

    int updateByExampleWithBLOBs(@Param("record") AppProjectConfig record, @Param("example") AppProjectConfigExample example);

    int updateByExample(@Param("record") AppProjectConfig record, @Param("example") AppProjectConfigExample example);

    int updateByPrimaryKeySelective(AppProjectConfig record);

    int updateByPrimaryKeyWithBLOBs(AppProjectConfig record);

    int updateByPrimaryKey(AppProjectConfig record);

    void batchInsert(@Param("items") List<AppProjectConfig> items);
}